Bug 1583998 (CVE-2018-8019)

Summary: CVE-2018-8019 tomcat-native: Mishandled OCSP invalid response
Product: [Other] Security Response Reporter: Sam Fowler <sfowler>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: asah, bmaxwell, cdewolf, chazlett, csutherl, darran.lofthouse, dimitris, dosoudil, fgavrilo, gzaronik, jawilson, jclere, jdoyle, jondruse, ksuzumur, lgao, lorenzo.dalrio, mbabacek, myarboro, pgier, pjurak, ppalaga, psakar, pslavice, rnetuka, rstancel, rsvoboda, security-response-team, sstavrev, twalsh, vtunka, weli, yozone
Target Milestone: ---Keywords: Reopened, Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: tomcat-native 1.2.17 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:26:55 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1585843, 1585844, 1585845, 1610615, 1610616    
Bug Blocks: 1579038    

Description Sam Fowler 2018-05-30 07:01:17 UTC
When using an OCSP responder Tomcat Native did not correctly handle invalid responses.  This allowed for revoked client certificates to be incorrectly identified.  It was therefore possible for users to authenticate with revoked certificates when using mutual TLS.

Comment 1 Sam Fowler 2018-05-30 07:01:35 UTC
Acknowledgments:

Name: Coty Sutherland (Red Hat)

Comment 6 Sam Fowler 2018-08-01 04:08:51 UTC
Created tomcat-native tracking bugs for this issue:

Affects: epel-all [bug 1610616]
Affects: fedora-all [bug 1610615]

Comment 7 Lorenzo Dalrio 2018-08-01 08:55:51 UTC
Solved in #1590816

Comment 8 Timothy Walsh 2018-08-02 04:48:37 UTC
Re-opening this BZ as dependent product fixes are still pending.

Comment 9 errata-xmlrpc 2018-08-16 14:50:44 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Web Server

Via RHSA-2018:2470 https://access.redhat.com/errata/RHSA-2018:2470

Comment 10 errata-xmlrpc 2018-08-16 15:01:12 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Web Server 3 for RHEL 7
  Red Hat JBoss Web Server 3 for RHEL 6

Via RHSA-2018:2469 https://access.redhat.com/errata/RHSA-2018:2469